WordPress.org

Ready to get started?Download WordPress

Forums

GD libraries issue (2 posts)

  1. hostphine
    Member
    Posted 3 years ago #

    I am getting this error on few WP themes:

    You do not have the GD Library installed. This class requires the GD library to function properly. visit http://us2.php.net/manual/en/ref.image.php for more information

    I checked GD libraries are installed on the server. I am using centos. Please any ideas

  2. hedronist
    Member
    Posted 3 years ago #

    The files may be on the system, but was PHP built with GD? Create a file with just <? php phpinfo(); in it and look for a section on GD. Hopefully you'll see something like:

    gd
    GD Support 	enabled
    GD Version 	bundled (2.0.34 compatible)
    FreeType Support 	enabled
    FreeType Linkage 	with freetype
    FreeType Version 	2.2.1
    GIF Read Support 	enabled
    GIF Create Support 	enabled
    JPG Support 	enabled
    PNG Support 	enabled
    WBMP Support 	enabled
    XBM Support 	enabled

Topic Closed

This topic has been closed to new replies.

About this Topic